Vector Graphics Shape Functions

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Vector Graphics Shape Functions
Evas » Vector Graphics Object

## Functions
EVAS_API void | evas_vg_shape_fill_set (Evas_Vg_Shape *obj, Evas_Vg_Node *f)
| Fill of the shape object.
EVAS_API Evas_Vg_Node * | evas_vg_shape_fill_get (const Evas_Vg_Shape *obj)
| Fill of the shape object.
EVAS_API void | evas_vg_shape_stroke_fill_set (Evas_Vg_Shape *obj, Evas_Vg_Node *f)
| Stroke fill of the shape object.
EVAS_API Evas_Vg_Node * | evas_vg_shape_stroke_fill_get (const Evas_Vg_Shape *obj)
| Stroke fill of the shape object.
EVAS_API void | evas_vg_shape_stroke_marker_set (Evas_Vg_Shape *obj, Evas_Vg_Node *m)
| Stroke marker of the shape object.
EVAS_API Evas_Vg_Node * | evas_vg_shape_stroke_marker_get (const Evas_Vg_Shape *obj)
| Stroke marker of the shape object.

## Detailed Description

## Function Documentation

## ◆ evas_vg_shape_fill_set()

EVAS_API void evas_vg_shape_fill_set | ( | Evas_Vg_Shape * | obj,
|  | Evas_Vg_Node * | f
| ) |  |

Fill of the shape object.

Parameters

  [in] | obj | The object.
  [in] | f | The fill object.

Since
  1.24

## ◆ evas_vg_shape_fill_get()

EVAS_API Evas_Vg_Node * evas_vg_shape_fill_get | ( | const Evas_Vg_Shape * | obj | ) |

Fill of the shape object.

Parameters

  [in] | obj | The object.

Returns
  The fill object.

Since
  1.24

## ◆ evas_vg_shape_stroke_fill_set()

EVAS_API void evas_vg_shape_stroke_fill_set | ( | Evas_Vg_Shape * | obj,
|  | Evas_Vg_Node * | f
| ) |  |

Stroke fill of the shape object.

Parameters

  [in] | obj | The object.
  [in] | f | The stroke fill object.

Since
  1.24

## ◆ evas_vg_shape_stroke_fill_get()

EVAS_API Evas_Vg_Node * evas_vg_shape_stroke_fill_get | ( | const Evas_Vg_Shape * | obj | ) |

Stroke fill of the shape object.

Parameters

  [in] | obj | The object.

Returns
  The stroke fill object.

Since
  1.24

## ◆ evas_vg_shape_stroke_marker_set()

EVAS_API void evas_vg_shape_stroke_marker_set | ( | Evas_Vg_Shape * | obj,
|  | Evas_Vg_Node * | m
| ) |  |

Stroke marker of the shape object.

Parameters

  [in] | obj | The object.
  [in] | m | Stroke marker object

Since
  1.24

## ◆ evas_vg_shape_stroke_marker_get()

EVAS_API Evas_Vg_Node * evas_vg_shape_stroke_marker_get | ( | const Evas_Vg_Shape * | obj | ) |

Stroke marker of the shape object.

Parameters

  [in] | obj | The object.

Returns
  Stroke marker object

Since
  1.24